This is the mail archive of the cygwin mailing list for the Cygwin project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

cygport tweaks


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I just switched diffstat from g-b-s to cygport, and have to say I was
pretty impressed.  In the process, I discovered that cygport doesn't
recognize .asc as a valid file suffix for a gpg signature.  And if there
are no source patches, it would be nicer to not distribute ${P}.src.patch
at all rather than distributing a 0-byte file.

Also, the cygport README states that cygport is still unsupported on the
main cygwin mailing list; should that be updated now that cygport is an
official package?

- --
Life is short - so eat dessert first!

Eric Blake             ebb9@byu.net
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.1 (Cygwin)
Comment: Public key at home.comcast.net/~ericblake/eblake.gpg
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFEqtUu84KuGfSFAYARAo/kAJ9WGOuB5+wMXgyjH1RJhIsnKCiffwCgnCDg
N6M1cWuOfgpOPIghEpdJ0DY=
=gh3x
-----END PGP SIGNATURE-----
--- /bin/cygport.orig	2006-07-04 14:07:37.433250000 -0600
+++ /bin/cygport	2006-07-04 14:48:43.308250000 -0600
@@ -301,6 +301,11 @@
 		inform "${2} signature follows:"
 		# we 'check_prog gpg' in src_prep
 		gpg --verify ${1}.sig ${1}
+	elif [ -f ${1}.asc ]
+	then
+		inform "${2} signature follows:"
+		# we 'check_prog gpg' in src_prep
+		gpg --verify ${1}.asc ${1}
 	else
 		inform "${2} signature missing."
 	fi
@@ -977,10 +982,13 @@
 }
 
 gpg_sign() {
-	echo "${2} signature needs to be updated"
-	rm -f ${1}.sig
-	# we 'check_prog gpg' in pkg_srcpkg()
-	gpg --detach-sign ${1}
+	if test -f ${1}
+	then
+		echo "${2} signature needs to be updated"
+		rm -f ${1}.sig
+		# we 'check_prog gpg' in pkg_srcpkg()
+		gpg --detach-sign ${1}
+	fi
 }
 
 pkg_srcpkg() {
@@ -991,7 +999,10 @@
 	pkg_diff
 
 	cp ${patchdir}/${cygwin_patchfile_name} ${spkgdir}
-	cp ${patchdir}/${src_patchfile_name} ${spkgdir}
+	if ! cmp -s ${patchdir}/${src_patchfile_name} /dev/null
+	then
+		cp ${patchdir}/${src_patchfile_name} ${spkgdir}
+	fi
 
 	echo ">>> Creating source package"
 
@@ -1001,6 +1012,9 @@
 	if [ -f ${src_orig_pkg}.sig ]
 	then
 		cp ${src_orig_pkg}.sig ${spkgdir}
+	elif [ -f ${src_orig_pkg}.asc ]
+	then
+		cp ${src_orig_pkg}.asc ${spkgdir}
 	fi
 
 	cd ${spkgdir}
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]